# 退款

{% openapi src="<https://2777071108-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FLUyNA110IhHvQuKkTIYy%2Fuploads%2Fr9bIj0Gq9N8YjsP0wItx%2Fopenapi.json?alt=media&token=06d384bb-a948-45b3-891b-55f1b9bd2cd3>" path="/openApi/refund" method="post" %}
[openapi.json](https://2777071108-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FLUyNA110IhHvQuKkTIYy%2Fuploads%2Fr9bIj0Gq9N8YjsP0wItx%2Fopenapi.json?alt=media\&token=06d384bb-a948-45b3-891b-55f1b9bd2cd3)
{% endopenapi %}

### 退款申请接口请求报文示例

{% code title="applyRefund.sh" %}

```
curl --request POST \
  --url https://{openApiUrl}/openApi/refund \
  --header 'Content-Type: application/json' \
  --header 'request-id: 58675' \
  --header 'request-time: 2022-05-21T23:59:59' \
  --header 'authorization:Bearer 787966BF2479A1BE8E1886CD18E6919447FAF4F357E7056188D4F035661B822' \
  --data '{
    "merTrackNo": "7313961647432084782",
    "refundAmount": "0.01",
    "refundReason": "0.01",
    "refundType": "2",
    "remark": "remark",
    "tradeNo": "2022051812003332818907"
}'
```

{% endcode %}

{% openapi src="<https://2777071108-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FLUyNA110IhHvQuKkTIYy%2Fuploads%2Fr9bIj0Gq9N8YjsP0wItx%2Fopenapi.json?alt=media&token=06d384bb-a948-45b3-891b-55f1b9bd2cd3>" path="/openApi/refund/{batchNo}" method="get" %}
[openapi.json](https://2777071108-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FLUyNA110IhHvQuKkTIYy%2Fuploads%2Fr9bIj0Gq9N8YjsP0wItx%2Fopenapi.json?alt=media\&token=06d384bb-a948-45b3-891b-55f1b9bd2cd3)
{% endopenapi %}

### 退款查询请求报文示例

{% code title="refund.sh" %}

```
curl --request GET\
  --url https://{openApiUrl}/openApi/refund/442011 \
  --header 'request-id: 58675' \
  --header 'request-time: 2022-05-21T23:59:59' \
  --header 'authorization:Bearer 787966BF2479A1BE8E1886CD18E6919447FAF4F357E7056188D4F035661B822' \
```

{% endcode %}

### **结果对象属性描述**

| property name     | type    | description                                                         |
| ----------------- | ------- | ------------------------------------------------------------------- |
| result            | Object  | 请求响应对象                                                              |
| code              | String  | 响应码                                                                 |
| message           | String  | 响应信息                                                                |
| data              | Object  | 数据对象                                                                |
| merNo             | Integer | 商户号                                                                 |
| gatewayNo         | Integer | 网关号                                                                 |
| batchNo           | String  | 退款编号，唯一                                                             |
| refundDescription | String  | 退款描述                                                                |
| refundReason      | String  | 退款原因                                                                |
| refundStatus      | String  | <p>退款状态</p><p>-1：失败</p><p>0：待审核</p><p>1：审核成功未处理</p><p>2：审核成功已处理</p> |
| tradeNo           | String  | 交易流水号                                                               |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://asiabill.gitbook.io/openapi/gong-neng-jie-kou/tui-kuan.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
